Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyStoreSpi

    java.lang.Object
      |
      +--java.security.KeyStoreSpi

Direct Known Subclasses:
  JDKKeyStore, JDKPKCS12KeyStore

public abstract class KeyStoreSpi
extends java.lang.Object

Constructor Summary
`KeyStoreSpi()`

Method Summary
`abstract java.util.Enumeration` | `engineAliases()`
`abstract boolean` | `engineContainsAlias(java.lang.String alias)`
`abstract void` | `engineDeleteEntry(java.lang.String alias)`
`abstract Certificate` | `engineGetCertificate(java.lang.String alias)`
`abstract java.lang.String` | `engineGetCertificateAlias(Certificate cert)`
`abstract Certificate[]` | `engineGetCertificateChain(java.lang.String alias)`
`abstract java.util.Date` | `engineGetCreationDate(java.lang.String alias)`
`abstract java.security.Key` | `engineGetKey(java.lang.String alias, char[] password)`
`abstract boolean` | `engineIsCertificateEntry(java.lang.String alias)`
`abstract boolean` | `engineIsKeyEntry(java.lang.String alias)`
`abstract void` | `engineLoad(java.io.InputStream stream, char[] password)`
`abstract void` | `engineSetCertificateEntry(java.lang.String alias, Certificate cert)`
`abstract void` | `engineSetKeyEntry(java.lang.String alias, byte[] key, Certificate[] chain)`
`abstract void` | `engineSetKeyEntry(java.lang.String alias, java.security.Key key, char[] password, Certificate[] chain)`
`abstract int` | `engineSize()`
`abstract void` | `engineStore(java.io.OutputStream stream, char[] password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreSpi

    public KeyStoreSpi()

Method Detail

### engineAliases

    public abstract java.util.Enumeration engineAliases()

### engineContainsAlias

    public abstract boolean engineContainsAlias(java.lang.String alias)

### engineDeleteEntry

    public abstract void engineDeleteEntry(java.lang.String alias)
                                    throws KeyStoreException

    `KeyStoreException`

### engineGetCertificate

    public abstract Certificate engineGetCertificate(java.lang.String alias)

### engineGetCertificateAlias

    public abstract java.lang.String engineGetCertificateAlias(Certificate cert)

### engineGetCertificateChain

    public abstract Certificate[] engineGetCertificateChain(java.lang.String alias)

### engineGetCreationDate

    public abstract java.util.Date engineGetCreationDate(java.lang.String alias)

### engineGetKey

    public abstract java.security.Key engineGetKey(java.lang.String alias,
                                                   char[] password)
                                            throws java.security.NoSuchAlgorithmException,
                                                   UnrecoverableKeyException

    `java.security.NoSuchAlgorithmException`
    `UnrecoverableKeyException`

### engineIsCertificateEntry

    public abstract boolean engineIsCertificateEntry(java.lang.String alias)

### engineIsKeyEntry

    public abstract boolean engineIsKeyEntry(java.lang.String alias)

### engineLoad

    public abstract void engineLoad(java.io.InputStream stream,
                                    char[] password)
                             throws java.io.IOException,
                                    java.security.NoSuchAlgorithmException,
                                    CertificateException

    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`
    `CertificateException`

### engineSetCertificateEntry

    public abstract void engineSetCertificateEntry(java.lang.String alias,
                                                   Certificate cert)
                                            throws KeyStoreException

    `KeyStoreException`

### engineSetKeyEntry

    public abstract void engineSetKeyEntry(java.lang.String alias,
                                           java.security.Key key,
                                           char[] password,
                                           Certificate[] chain)
                                    throws KeyStoreException

    `KeyStoreException`

### engineSetKeyEntry

    public abstract void engineSetKeyEntry(java.lang.String alias,
                                           byte[] key,
                                           Certificate[] chain)
                                    throws KeyStoreException

    `KeyStoreException`

### engineSize

    public abstract int engineSize()

### engineStore

    public abstract void engineStore(java.io.OutputStream stream,
                                     char[] password)
                              throws java.io.IOException,
                                     java.security.NoSuchAlgorithmException,
                                     CertificateException

    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`
    `CertificateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD